hw_GetObjectByQueryColl
hw_GetObjectByQueryObj
Hyperwave Functions
PHP Manual

# hw_GetObjectByQueryCollObj

(PHP 4)

hw_GetObjectByQueryCollObj — Search object in collection

### Description

array hw_getobjectbyquerycollobj ( int `$connection` , int `$objectID` , string `$query` , int `$max_hits` )

Searches for objects in collection with ID `objectID` and returns an array of object records.

### Parameters

`connection`

  The connection identifier.

`objectID`

  The collection id.

`query`

  The query will only work with indexed attributes.

`max_hits`

  The maximum number of matches is limited to `max_hits` . If `max_hits` is set to -1 the maximum number of matches is unlimited.

### Return Values

Returns an array of object records.

### See Also

- hw_getobjectbyquerycoll()

hw_GetObjectByQueryColl
hw_GetObjectByQueryObj
Hyperwave Functions
PHP Manual